
package clock;

import device.*;
import service.*;

import org.cybergarage.util.*;
import org.cybergarage.upnp.device.*;

public class ComputerClock {
    
    ////////////////////////////////////////////////
    //	main
    ////////////////////////////////////////////////
    
    public static void main(String args[]) 
    {
	ClockDevice clockDev = null;
	try {
	    clockDev = new ClockDevice();
	}
	catch (InvalidDescriptionException e) {
	    e.printStackTrace();
	    System.exit(1);
	}
	
	clockDev.setTimer(new ComputerTimer());

	ClockFrame clock;
	if (args.length > 0) {
	    clock= new ClockFrame(clockDev, args[0]);
	} else {
	    clock = new ClockFrame(clockDev);
	}
	clock.start();    }
}
